#!/usr/sbin/perl -I. -I/usr/sausalito/perl
#
# ftp config for proftpd

package ftp;

use Sauce::Config;

sub ftp_getconf
{
    return '/etc/proftpd.conf';
}

sub ftp_getscript
{
    return '/etc/inetd.conf';
}

sub ftp_anonscript
{
    my ($user, $group, $wg) = @_;
    my $groupdir = Sauce::Config::groupdir_base . "/$wg";

    my $anonscript=<<END;
    <Anonymous $groupdir>
	User      $user
	Group     $group
	UserAlias anonymous $user
	UserAlias guest $user
	UserAlias ftp $user
	<Directory *>
         <Limit WRITE>
             DenyAll
          </Limit>
          </Directory>
          <Directory $groupdir/incoming>
            Umask                       002
            <Limit STOR>
              AllowAll
            </Limit>
            <Limit READ>
              DenyAll
            </Limit>
          </Directory>
    </Anonymous>
END
}

sub edit_anon
{
    my ($input, $output, $enabled, $user, $group, $wg) = @_;
    my $script = ftp_anonscript($user, $group, $wg) if $enabled;
    print $output $script;
    return 0;
}

1;
